# $Revision: 1.117 $, $Date: 2006/11/17 05:49:20 $
# NOTE: try to switch to ac/am/lt build on 1.2.x->1.4.x upgrade
Summary:	PNG library
Summary(de):	PNG-Library
Summary(es):	Biblioteca PNG
Summary(fr):	Librarie PNG
Summary(pl):	Biblioteka PNG
Summary(pt_BR):	Biblioteca PNG
Summary(tr):	PNG kitapl
Name:		libpng
Version:	1.2.13
Release:	1
Epoch:		2
License:	distributable
Group:		Libraries
Source0:	http://dl.sourceforge.net/libpng/%{name}-%{version}.tar.bz2
# Source0-md5:	e9ed9879008fa978d4c07cf4afd2bfcf
Patch0:		%{name}-pngminus.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-norpath.patch
Patch3:		%{name}-libdirfix.patch
Patch4:		%{name}-gcc-pch.patch
Patch5:		%{name}-export_old.patch
Patch6:		%{name}-revert.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	zlib-devel
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libpng.so.3()(64bit)
%else
Provides:	libpng.so.3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l de
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und
Bearbeiten von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz
fr GIF entwickelt und enthlt viele Verbesserungen und Erweiterungen.

%description -l es
Esta biblioteca es una coleccin de rutinas para crear y manipular
archivos grficos en el formato PNG. Este formato fue proyectado para
substituir el

%description -l fr
La librairie PNG est un ensemble de routines utilises pour crer et
manipuler des fichiers graphiques au format PNG. Le format PNG a t
labor pour remplacer le GIF, avec de nombreuses amliorations et
extensions.

%description -l pl
Biblioteki PNG s kolekcj form uywanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten zosta stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowociami.

%description -l pt_BR
Esta biblioteca  uma coleo de rotinas para criar e manipular
arquivos grficos no formato PNG. Este formato foi projetado para
substituir o formato GIF, com extenses e melhorias.

%description -l tr
PNG kitapl, PNG formatndaki resim dosyalarn ilemeye ynelik
yordamlar ierir. PNG, GIF formatnn yerini almak zere tasarlanm
bir resim formatdr.

%package devel
Summary:	Header files for libpng
Summary(de):	libpng Headers
Summary(es):	Archivos de inclusin y bibliotecas estticas
Summary(fr):	en-ttes et bibliothques statiques
Summary(pl):	Pliki nagwkowe libpng
Summary(pt_BR):	Arquivos de incluso e bibliotecas estticas
Summary(tr):	balk dosyalar ve statik kitaplklar
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Conflicts:	libpng < 1.0.15

%description devel
The header files are only needed for development of programs using the
PNG library.

%description devel -l de
Die Header-Dateien werden nur zur Entwicklung von Programmen mit der
PNG-Library bentigt.

%description devel -l es
Archivos de inclusin y bibliotecas estticas que son necesarios
solamente para el desarrollo de programas que usan la biblioteca PNG.

%description devel -l fr
Fichiers d'en-tete et les librairies qui sont requis seulement pour le
dveloppement avec la librairie PNG.

%description devel -l pl
W pakiecie tym znajduj si pliki nagwkowe, przeznaczone dla
programistw uywajcych bibliotek PNG.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas estticas que so necessrios
somente para o desenvolvimento de programas que usam a biblioteca PNG.

%description devel -l tr
PNG kitapln kullanan programlar gelitirmek iin gereken
kitaplklar ve balk dosyalar.

%package static
Summary:	Static PNG libraries
Summary(de):	Statischen PNG Libraries
Summary(pl):	Biblioteki statyczne PNG
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libpng
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static PNG libraries.

%description static -l de
Statischen PNG Libraries.

%description static -l pl
Biblioteki statyczne PNG.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libpng.

%package progs
Summary:	libpng utility programs
Summary(pl):	Narzdzia do plikw PNG
Group:		Applications/Graphics

%description progs
This package contains utility programs to convert PNG files to and
from PNM files.

%description progs -l pl
Narzdzia do konwersji plikw PNG z lub do plikw PNM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%ifarch %{ix86}
ln -sf scripts/makefile.gcmmx ./Makefile
%else
ln -sf scripts/makefile.linux ./Makefile
%endif

%build
%{__make} \
	prefix=%{_prefix} \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
%ifarch %{x8664}
	OPT_FLAGS="%{rpmcflags} -DPNG_NO_MMX_CODE"
%else
	OPT_FLAGS="%{rpmcflags}"
%endif

%{__make} -C contrib/pngminus -f makefile.std \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man{3,5}} \
	$RPM_BUILD_ROOT{%{_pkgconfigdir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	LIBPATH=%{_libdir} \
	MANPATH=%{_mandir}

install contrib/pngminus/{png2pnm,pnm2png} $RPM_BUILD_ROOT%{_bindir}
install example.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES KNOWNBUG README LICENSE
%attr(755,root,root) %{_libdir}/libpng*.so.*.*.*
# alternative soname (symlink in PLD, so must be packaged)
%attr(755,root,root) %{_libdir}/libpng.so.3

%files devel
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/libpng*-config
%attr(755,root,root) %{_libdir}/libpng*.so
%{_pkgconfigdir}/*
%{_includedir}/*
%{_mandir}/man?/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/p*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpng.spec,v $
Revision 1.117  2006/11/17 05:49:20  qboosh
- added CVE reference to previous changelog entry

Revision 1.116  2006/11/16 15:55:10  lisu
- up to 1.2.13
[fixes CVE-2006-5793]

Revision 1.115  2006/09/20 10:43:48  deejay1
- properly reverted changes

Revision 1.114  2006/08/08 15:39:23  freetz
- removed hack^H^H^trash

Revision 1.113  2006/08/07 20:50:57  aredridel
- add temporary hack to let libtool-expecting apps link with libpng

Revision 1.112  2006/07/25 05:54:42  glen
- truncate non-cvs changelog

Revision 1.111  2006/07/21 08:21:59  qboosh
- release 2, added CVE note for 1.2.12

Revision 1.110  2006/07/01 11:23:09  qboosh
- note about ac/am/lt in upcoming 1.4.x series

Revision 1.109  2006/06/30 11:06:49  pluto
- release 1.1.

Revision 1.108  2006/06/29 08:17:27  qboosh
- updated revert patch is back

Revision 1.107  2006/06/28 17:29:45  adamg
- updated to 1.2.12
  [fixes CVE-2006-3334]

Revision 1.106  2006/05/19 22:33:30  qboosh
- for libpng 1.2.x stick to old, custom makefiles instead of ac/am
  to keep old versioning scheme and libpng.so.3 a symlink instead of copy
- disable mmx code on x86-64, builds now
- release 3

Revision 1.105  2006/05/14 18:53:05  pluto
- reexport old symbols, release 2.

Revision 1.104  2006/05/11 16:59:47  qboosh
- libpng.so.3.* is just a symlink to libpng12.so.0.*, so libpng.so.3 must be packaged

Revision 1.103  2006/05/01 16:04:22  pluto
- builds on x86-64.
- libpng.so.3 removed from files (it's genereted by ldconfig).

Revision 1.102  2006/04/24 08:45:09  adamg
- updated to 1.2.10

Revision 1.101  2006/04/17 00:24:05  qboosh
- updated to 1.2.9
- updated revert,norpath,libdirfix patches, removed outdated badchunks patch

Revision 1.100  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.99  2005/03/26 23:28:59  mmazur
- rel 2 for th

Revision 1.98  2005/02/24 20:33:09  pluto
- allow to use libpng with precompiled headers.

Revision 1.97  2004/12/04 15:30:24  qboosh
- updated to 1.2.8 (further size checking fixes, alpha stripping fixed)
- removed obsolete alpha patch

Revision 1.96  2004/10/13 14:37:42  qboosh
- added alpha patch (fix alpha channel stripping bug introduced in 1.2.7)
- release 2

Revision 1.95  2004/09/12 09:21:29  adamg
- updated to 1.2.7

Revision 1.94  2004/08/23 19:19:21  qboosh
- final 1.2.6 at last

Revision 1.93  2004/08/09 14:42:28  arekm
- updated to rc2 which works, previous version (even with irowbytes wasn't working for me)

Revision 1.92  2004/08/07 12:03:01  qboosh
- added irowbytes patch (seems to fix bug in processing interlaced images in push mode)
- removed obsolete pngerror patch, release .2

Revision 1.91  2004/08/05 06:41:52  hawk
- dl.sourceforge.net broken again

Revision 1.90  2004/08/04 19:50:37  radek
- (SECURITY) update to 1.2.6rc1; CAN-2004-0597 CAN-2004-0598 CAN-2004-0599
- removed -16bit-overflow.patch and -clobber_list.patch (both applied)
- commented out -pngerror.patch; it needs an update

Revision 1.89  2004/07/11 14:25:14  qboosh
- use (64bit)-aware libpng.so.3 Provides

Revision 1.88  2004/07/08 11:53:12  qboosh
- updated 16bit-overflow patch (CAN-2002-1363) to handle grayscale case too; release .6

Revision 1.87  2004/05/04 23:47:29  adgor
- Added pngerror.patch (CAN-2004-0421) sent by Pawe Nogas
- Release 0.beta2.5

Revision 1.86  2004/03/01 14:24:30  pluto
- cosmetics.
- updated clobber patch (thx. qboosh).

Revision 1.85  2004/03/01 14:00:08  pluto
- strict deps.
- ebx removed from clobber list.
  (gcc 3.4 reports error: "PIC register `ebx' clobbered in `asm'",
   but #ifdef __PIC__ push/pop ebx #endif saves ebx)

Revision 1.84  2003/12/26 21:14:55  grzegol
- fixed libdirfix patch; rel. 0.%{_pre}.4

Revision 1.83  2003/12/18 22:46:36  arekm
- pass libdir at make call (final amd64 fix)

Revision 1.82  2003/12/18 22:43:47  arekm
- fix libdir name; rel .3

Revision 1.81  2003/08/25 22:39:26  mmazur
- rel 0.beta2.2 for ac

Revision 1.80  2003/08/03 19:26:15  grzegol
- updated to 1.2.6beta2
- added example.c

Revision 1.79  2003/07/01 13:53:42  areq
- Release:        3

Revision 1.78  2003/06/23 20:13:50  jareq
- fixed epoch:version issue

Revision 1.77  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.76  2003/05/25 05:49:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.75  2003/04/21 01:10:49  qboosh
- added norpath to kill -rpaths (mainly from libpng-config - they were
  propagated to other packages)
- killed fake es translations
- release 2

Revision 1.74  2003/04/20 10:47:57  qboosh
- use http for sourceforge

Revision 1.73  2003/04/10 17:25:36  wolf
- missing LICENSE

Revision 1.72  2003/01/30 12:50:49  qboosh
- -devel Conflicts with old Ra package

Revision 1.71  2003/01/09 15:33:45  qboosh
- added 16bit-overflow patch - fix from Debian for bug in 16-bit depth images
  handling that could cause security problems
- release 1

Revision 1.70  2002/10/18 20:53:05  malekith
- tmp hack: added provides: libpng.so.3, as previous version had this
  soname, and was binary identical otherwise (find-provides look at
  SONAME which is different now...)
- release 0.3

Revision 1.69  2002/10/11 23:42:09  qboosh
- argh, reverted two stupid ideas: removing "-lz -lm" from libpng linking and
  installing two separate copies of identical code with different SONAME
  (revert patch)
- release 0.2

Revision 1.68  2002/10/07 10:33:06  wiget
- enable mmx only on IA32

Revision 1.67  2002/10/07 09:53:18  wiget
- updated to 1.2.5 and enabled MMX support (but need testing on MMX-less machines)

Revision 1.66  2002/08/17 22:30:03  qboosh
- fixed prefix in libpng-config and libpng.pc; release 2

Revision 1.65  2002/07/08 14:56:12  wiget
- updated to 1.2.4 (bugfix release)

Revision 1.64  2002/05/23 08:43:53  wiget
- Epoch: 2 is back.
- pioklo, don't decrement Epoch:, please.

Revision 1.63  2002/05/22 22:14:48  qboosh
- removed obsolete symlinks patch
- moved libpng*-config to -devel
- fixed DESTDIR handling (with previous workarounds libpng-config was broken)

Revision 1.62  2002/05/22 17:48:38  pioklo
- update to 1.2.3
- use new %doc
- STBR

Revision 1.61  2002/04/18 10:09:04  wiget
- fix libpng12.pc

Revision 1.60  2002/04/16 14:32:20  wiget
- ldconfig removes libpng.so.3 :(

Revision 1.59  2002/04/16 14:16:18  wiget
- updated to 1.2.2

Revision 1.58  2002/03/30 23:53:46  agaran
- typo

Revision 1.57  2002/03/30 22:44:20  agaran
- added zlib-devel to buildreq

Revision 1.56  2002/03/13 10:48:43  misiek
- updated to 1.2.1

Revision 1.55  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/18 02:13:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/11/21 02:28:15  kloczek
- merge translations from CNV.

Revision 1.51  2001/11/14 08:38:38  filon
- moved png.5 manpage to devel subpkg, to allow coexisting with libpng1.0x
- release 2

Revision 1.50  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.49  2001/09/02 10:58:32  qboosh
- opt patch is back! (updated)
- try to clean summaries/descriptions (not complete - I don't know fr,tr)
  WARNING: SONAME has changed!
  some binary-only packages (e.g. opera) require libpng 1.0.x

Revision 1.48  2001/09/01 20:01:54  areq
- 1.2.0, STBR

Revision 1.47  2001/06/10 14:32:13  kloczek
- updated to 1.0.12.

Revision 1.46  2001/05/07 16:19:18  kloczek
- release 3.

Revision 1.45  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.44  2001/04/28 03:27:22  kloczek
- updated to 1.0.11,
- new Source url.

Revision 1.43  2001/03/31 22:58:54  misiek
- 1.0.10; stb

Revision 1.42  2001/02/23 04:49:09  kloczek
- release 3: new badchunks patch from SuSe 7.0 is back.

Revision 1.41  2001/02/06 04:04:17  kloczek
- release 2: added zlib-devel to Requires list in devel subpackage.

Revision 1.40  2001/02/01 16:04:02  kloczek
- adapterized and few cosmetics.

Revision 1.39  2001/02/01 14:44:52  misiek
- 1.0.9. stb

Revision 1.38  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/14 21:00:42  kloczek
- make %{debug} ready.

Revision 1.35  2000/12/14 16:39:15  baggins
- release 7
- fixed use of RPM_OPT_FLAGS

Revision 1.34  2000/12/12 18:40:25  kloczek
- relase 6: merge SuSe badchunks patch.

Revision 1.33  2000/11/22 15:32:00  kloczek
- release 5: revert MMX support on i586, i686 (seems not stable).

Revision 1.32  2000/11/18 22:55:11  kloczek
- release 4.

Revision 1.31  2000/11/17 17:46:57  bszx
- mmx is used on i586 and i686
- subpackage progs added

Revision 1.30  2000/10/19 03:17:33  kloczek
- release 3, Epoch 2.

Revision 1.29  2000/10/19 02:27:24  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/07/25 05:23:14  kloczek
- updated to 1.0.8.

Revision 1.27  2000/07/02 19:44:17  kloczek
- updated to 1.0.7.

Revision 1.26  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.22  2000/03/21 10:43:17  kloczek
- updated to 1.0.6.

Revision 1.21  1999/10/17 22:32:13  kloczek
- updated to 1.0.5.

Revision 1.20  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
